using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace ProgrammaticUI
{
	public partial class ProgrammaticUIViewController : UIViewController
	{
		UILabel lbl;
		UITextView txt;
		UIButton btn;
		static bool UserInterfaceIdiomIsPhone {
			get { return UIDevice.CurrentDevice.UserInterfaceIdiom == UIUserInterfaceIdiom.Phone; }
		}

		public ProgrammaticUIViewController ()
			: base (UserInterfaceIdiomIsPhone ? "ProgrammaticUIViewController_iPhone" : "ProgrammaticUIViewController_iPad", null)
		{
		}

		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}

		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			lbl = new UILabel ();
			this.View.BackgroundColor = UIColor.White;

			var viewFrame = this.View.Frame;
			lbl.Frame = new RectangleF (10f, 10f, viewFrame.Width - 20f, 30f);
			lbl.Text = "this is an example label";
			this.View.AddSubview (lbl);

			txt = new UITextView ();
			txt.Frame = new RectangleF (lbl.Frame.Left, lbl.Frame.Bottom + 10f, viewFrame.Width - 20f, 60f);
			txt.Layer.BorderWidth = 5f;
			txt.Layer.BorderWidth = 1f;
			this.View.AddSubview (txt);

			btn = UIButton.FromType (UIButtonType.RoundedRect);
			btn.SetTitle ("Click me", UIControlState.Normal);
			btn.Frame = new RectangleF (txt.Frame.X, txt.Frame.Bottom + 10f, viewFrame.Width - 20f, 30f);
			btn.TouchUpInside += (object sender, EventArgs e) => {
				var uia = new UIAlertView("ui controls", "You have clicked on the UI Button example", null, "Ok", null);
				uia.Show();
			};
			this.View.AddSubview (btn);
			// Perform any additional setup after loading the view, typically from a nib.
		}
	}
}

